Read Task - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET / v1 /tasks /{taskId}
Read Task
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"engagementId": "<string>",
"analysisResultId": "<string>",
"analysisId": "<string>",
"analysisTypeId": "<string>",
"transaction": "<string>",
"name": "<string>",
"rowId": 123,
"transactionId": 123,
"assignedId": "<string>",
"description": "<string>",
"comments": [
{
"commentText": "<string>",
"captured": "2023-11-07T05:31:56Z",
"authorId": "<string>"
}
],
"sample": "<string>",
"auditAreas": [
"<string>"
],
"assertions": [
"<string>"
],
"entryType": "<string>",
"vendorName": "<string>",
"customerName": "<string>",
"invoiceRef": "<string>",
"creditValue": 123,
"debitValue": 123,
"riskScores": {},
"filterStatement": "<string>",
"dueDate": "2023-12-25",
"approverId": "<string>",
"tags": [
"<string>"
],
"amounts": {}
}